Package org.eclipse.emf.cdo.security

# Interface AndFilter

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `CombinedFilter`, `EObject`, `Notifier`, `PermissionFilter`

All Known Implementing Classes:
  `AndFilterImpl`

public interface AndFilter extends CombinedFilter
A representation of the model object 'And Filter'.

Since:
  4.3
See Also:
  - `SecurityPackage.getAndFilter()`
Generated
Model

## Method Summary

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.security.CombinedFilter

`getOperands`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

`format, isApplicable, isImpacted`